Mac升级10.15,luagit-mac 使用错误

sh: /frameworks/cocos2d-x/tools/cocos2d-console/plugins/plugin_luacompile/bin/32bit/luajit-mac: Bad CPU type in executable

macOS 10.15不支持32位了,需要修改编译的参数,mac只能编译64位的,但是问题来了,打出来的apk包,貌似有些很老的安卓手机不支持64位的,安装不了包。。头疼。。。不知道我有没有哪个环节弄错,目前反馈是这样的。。。准备回滚系统。。。。:joy:

问题解决了吗?楼主

如何修改编译参数?

找到解决方案了,32bit 路径的库改成64bit的就编译过了。